Subject: Re: [PATCH] git-cvsimport-script: handling of tags

From: Martin Langhoff <[email-masked]>
Date: Wed, 7 Sep 2005 09:21:24 +1200

On 9/7/05, H. Peter Anvin <[email-masked]> wrote:
> > I should probably point out that there are still bugs in
> > git-cvsimport-script; for one thing, it seems to fail to register a tag
> > associated with the head, and I have yet to get the "recognize merge"
> > feature to actually work.  It's also possible -- but I haven't verified
> > it -- that two tags which are aliases may not be properly registered.
> I just verified this; git-cvsimport-script will not handle more than one
> tag per commit.

Tell me more about how you are trying the 'recognize merge'. It is a
pretty unsophisticated thing, as it trusts the commit message in the
first place. But when it works, it works.

I have a more refined merge detection already working in the Arch
imports -- patch coming soon -- but with cvs it is pretty hard to do.

cheers,

martin